Bug 908430 - pbm2l2030: Heap-based buffer overflow by generating (intermediate) storage buffer when printing PBM image
Summary: pbm2l2030: Heap-based buffer overflow by generating (intermediate) storage bu...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 908438
TreeView+ depends on / blocked
 
Reported: 2013-02-06 17:04 UTC by Jan Lieskovsky
Modified: 2019-09-29 13:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-01 09:01:22 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-02-06 17:04:22 UTC
A heap-based buffer overflow flaw was found in the way pbm2l2030, a filter to convert raw Portable Bitmap Format (PBM) image data to the printer language of Lexmark 2030 printers, performed creation of its internal intermediate heap-based buffer, when printing PBM image file. A remote attacker could provide a specially-crafted PBM image file that, when processed by the filter would lead to pbm2l2030 executable crash.

This issue was discovered by Murray McAllister of Red Hat Security Response Team.

Comment 1 Jan Lieskovsky 2013-02-06 17:07:22 UTC
This issue affects the version of the pbm2l2030 package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the pbm2l2030 package, as shipped with Fedora release of 16, 17, and 18.


Note You need to log in before you can comment on or make changes to this bug.